version: "3"
  services:
  selenoid:
  network_mode: bridge
  image: aerokube/selenoid:latest-release
  container_name: "selenoid"
  environment:
    - OVERRIDE_VIDEO_OUTPUT_DIR=$PWD/video
      volumes:
    - ".:/etc/selenoid/:ro"
    - "/var/run/docker.sock:/var/run/docker.sock"
    - "./logs:/opt/selenoid/logs/"
    - "./video/:/opt/selenoid/video/"
      command: -session-attempt-timeout 1m -retry-count 3 -limit ${LIMIT:-4} -save-all-logs -log-output-dir /opt/selenoid/logs -video-output-dir /opt/selenoid/video
      ports:
    - "4444:4444"

selenoid-ui:
image: aerokube/selenoid-ui
container_name: "selenoid-ui"
network_mode: bridge
depends_on:
  - selenoid
links:
  - "selenoid:selenoid"
ports:
  - "8080:8080"
command: --selenoid-uri http://selenoid:4444`